> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spot-nik.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a skill

> Deletes a skill and removes it from all resources.



## OpenAPI

````yaml https://live1-service-7042312-f94c764b.us.monday.app/api/public/v1/openapi.json delete /api/public/v1/skill/{skill_id}
openapi: 3.1.0
info:
  title: SuperPlanner Public API
  description: >-
    Public API for integrating with SuperPlanner. Authenticate all requests with
    `Authorization: Bearer <token>`, where the token is an API key generated in
    the SuperPlanner settings.
  version: 1.0.0
servers:
  - url: https://live1-service-7042312-f94c764b.us.monday.app
    description: United States
  - url: https://live1-service-7042312-f94c764b.eu.monday.app
    description: Europe
  - url: https://live1-service-7042312-f94c764b.au.monday.app
    description: Australia
  - url: https://live1-service-7042312-f94c764b.il.monday.app
    description: Israel
security: []
paths:
  /api/public/v1/skill/{skill_id}:
    delete:
      tags:
        - Skills
      summary: Delete a skill
      description: Deletes a skill and removes it from all resources.
      operationId: delete_skill_endpoint_api_public_v1_skill__skill_id__delete
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: string
                title: >-
                  Response Delete Skill Endpoint Api Public V1 Skill  Skill Id 
                  Delete
      security:
        - HTTPBearer: []
components:
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````